#ifdef HAVE_CONFIG_H
#include <config.h>
#endif /* HAVE_CONFIG_H */

#include <tarot.h>
#include <stdio.h>
#include <stdlib.h>

int
main ()
{
  if (tarot_init ("/path/to/localedir") != 0)
    {
      fprintf (stderr, "Error: could not initialize libtarot.\n");
      return EXIT_FAILURE;
    }
  printf ("Welcome to libtarot!  The current version running is '%s'\n",
	  tarot_libtarot_version ());
  tarot_quit ();
  return EXIT_SUCCESS;
}
