
/* Generated data (by glib-mkenums) */


/*
 * file tarot-gobject.h.in
 *
 * Copyright (C) 2018 Vivien Kraus <vivien@planete-kraus.eu>
 *
 * This program is free software: you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see
 * <http://www.gnu.org/licenses/>.
 */

#ifndef H_TAROT_GOBJECT_INCLUDED
#define H_TAROT_GOBJECT_INCLUDED

#include <tarot.h>
#include <glib-2.0/glib-object.h>

#ifdef __cplusplus
extern "C"
{
#endif                          /* __cplusplus */

  GType tarot_counter_get_type (void);
  GType tarot_game_get_type (void);
  GType tarot_game_event_get_type (void);
  GType tarot_game_iterator_get_type (void);
  GType tarot_mcts_get_type (void);
  GType tarot_xml_parser_get_type (void);
  GType tarot_xml_parser_iterator_get_type (void);

/* *INDENT-OFF* */  
  /* enumerations from "src/libtarot/step/tarot/step.h" */
  GType tarot_step_get_type (void);
#define TAROT_TYPE_STEP (tarot_step_get_type ())
  /* enumerations from "src/libtarot/bid/tarot/bid.h" */
  GType tarot_bid_get_type (void);
#define TAROT_TYPE_BID (tarot_bid_get_type ())
  /* enumerations from "src/libtarot/event/tarot/game_event.h" */
  GType tarot_game_event_t_get_type (void);
#define TAROT_TYPE_GAME_EVENT_T (tarot_game_event_t_get_type ())
  GType tarot_game_event_error_get_type (void);
#define TAROT_TYPE_GAME_EVENT_ERROR (tarot_game_event_error_get_type ())
  /* enumerations from "src/libtarot/game/tarot/game.h" */
  GType tarot_game_error_get_type (void);
#define TAROT_TYPE_GAME_ERROR (tarot_game_error_get_type ())
  /* enumerations from "src/libtarot/cards/tarot/cards.h" */
  GType tarot_suit_get_type (void);
#define TAROT_TYPE_SUIT (tarot_suit_get_type ())
  /* enumerations from "src/libtarot/counter/tarot/counter.h" */
  GType tarot_imputation_error_get_type (void);
#define TAROT_TYPE_IMPUTATION_ERROR (tarot_imputation_error_get_type ())
  /* enumerations from "src/libtarot/mcts/tarot/mcts.h" */
  GType tarot_mcts_error_get_type (void);
#define TAROT_TYPE_MCTS_ERROR (tarot_mcts_error_get_type ())
  /* enumerations from "src/libtarot/simulation/tarot/simulation.h" */
  GType tarot_simulation_error_get_type (void);
#define TAROT_TYPE_SIMULATION_ERROR (tarot_simulation_error_get_type ())
/* *INDENT-ON* */  
#ifdef __cplusplus
}
#endif                          /* __cplusplus */
#endif                          /* not H_TAROT_GOBJECT_INCLUDED */

/* Generated data ends here */

